Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.beans
Interface IPropertyChange

All Known Implementing Classes:
  FButton, FCheckBox, FCheckBoxMenuItem, FComboBox, FDialog, FEditorPane, FFrame, FInternalFrame, FLabel, FList, FMenu, FMenuBar, FMenuItem, FPanel, FPasswordField, FPopupMenu, FRadioButton, FRadioButtonMenuItem, FTable, FTextArea, FTextField, FTextPane, FToggleButton, FToolBar, FTree

public interface IPropertyChange

Interface fuer PropertyChangeEvents. Hier wird die Schnittstelle zwischen Control und ActionManager fuer PropertyChangeEvents festgelegt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener listener)` Fuegt dem Control den uebergebenen Listener als PropertyChangeListener hinzu.
`String` | `getActionClassForPropertyChange()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein PropertyChangeEvent ausgeloest wurde.
`void` | `removePropertyChangeListener(PropertyChangeListener listener)` Entfernt den Listener aus dem COntrol.
`void` | `setActionClassForPropertyChange(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein PropertyChangeEvent ausgeloest wurde.

Method Detail

### getActionClassForPropertyChange

    public String getActionClassForPropertyChange()

  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein PropertyChangeEvent ausgeloest wurde.

  Returns:
    Der Name der Actionklasse fuer PropertyChangeEvent.

### setActionClassForPropertyChange

    public void setActionClassForPropertyChange(String actionClassName)

  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein PropertyChangeEvent ausgeloest wurde.

  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer PropertyChangeEvent.

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener listener)

  Fuegt dem Control den uebergebenen Listener als PropertyChangeListener hinzu.

  Parameters:
    `listener` - Der hinzuzufuegende PropertyChangeListener.

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener listener)

  Entfernt den Listener aus dem COntrol.

  Parameters:
    `listener` - Der zu entfernende Listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD